Page MenuHomePhabricator

A3. Implement auto-patrolling for Flow
Closed, ResolvedPublic1 Estimated Story Points

Description

When a user with autopatrolled makes a revision, it should be marked patrolled.

Event Timeline

Mattflaschen-WMF raised the priority of this task from to Needs Triage.
Mattflaschen-WMF updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 30 2015, 6:30 PM
Mattflaschen-WMF set Security to None.
DannyH edited a custom field.Mar 30 2015, 6:32 PM
He7d3r added a subscriber: He7d3r.Apr 1 2015, 10:45 PM
Qgil added a comment.Apr 6 2015, 10:32 AM

Just a note to say that from all the subtasks of T73456, this one is which is causing more annoyance nowadays. It is probably fair to say that regular Flow users are likely to be autopatrolled users.

He7d3r added a comment.Apr 6 2015, 3:23 PM

Aren't they marked as patrolled already? It looks so from the screenshot F108661 I uploaded to T95025: C4. Fix watchlist patrolling rendering for Flow in regular watchlist (works in grouped watchlist).

EBernhardson triaged this task as Medium priority.Apr 6 2015, 5:54 PM
Qgil added a comment.Apr 7 2015, 1:04 PM

I just checked ca.wiki's recent changes and my watchlist, and both show a non-patrolled post from user Sorenike (autopatrolled).

Thanks for the info. I'll get this estimated and into a sprint...

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 22 2015, 7:09 PM
DannyH renamed this task from Implement auto-patrolling for Flow to A3. Implement auto-patrolling for Flow.Apr 22 2015, 8:04 PM
Catrope claimed this task.Apr 29 2015, 10:51 PM

Change 207685 had a related patch set uploaded (by Catrope):
Mark posts by autopatrolled users as patrolled

https://gerrit.wikimedia.org/r/207685

Qgil added a comment.Apr 30 2015, 6:13 AM

Catrope claimed this task.

The reorg is working! \o/

:)

Change 207685 merged by jenkins-bot:
Mark posts by autopatrolled users as patrolled

https://gerrit.wikimedia.org/r/207685

DannyH closed this task as Resolved.May 7 2015, 11:05 PM